
Foreman - Bug #1755

Foreman with postgre doesn't allow wide URLs for installation meda

07/16/2012 11:00 AM - Jaroslav Henner

Status: Resolved   

Priority: Normal   

Assignee: Joseph Magen   

Category: DB migrations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

PG::Error: ERROR:  value too long for type character varying(100) : INSERT INTO "media" ("os_family", "config_path", "created_at", 

"updated_at", "name", "image_path", "media_path", "path") VALUES  ('Redhat', '', '2012-07-16 12:36:15.489468', '2012-07-16 

12:36:15.489468', 'RHEL', '', '',  'http://looong.paattthhh.at.corp.com/pub/rhel/fooo/baaar/$major.$minor/Server/$arch/os/') 

RETURNING "id"

It got fixed after making media.path varying(200). I think more than 200 should be allowed though.

Related issues:

Has duplicate Foreman - Bug #1754: Foreman with postgre doesn' Closed 07/16/2012

Associated revisions

Revision 3013ebe9 - 10/17/2012 07:32 AM - Joseph Magen

fixes #1755 - changed limit on path from 100 to 255

History

#1 - 10/15/2012 07:11 AM - Joseph Magen

- Status changed from New to Resolved

I created a migration and changed the limit for 100 to 255

#2 - 10/17/2012 07:33 AM - Ohad Levy

- Category set to DB migrations

- Assignee set to Joseph Magen

- Priority changed from High to Normal

- Target version set to 1.1
